﻿@using RailwayCashBox.DAL.Entities
@model RailwayCashBox.DAL.Entities.TrainRoute

@{
    ViewBag.Title = "Описание";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Описание маршрута:</h2>

<fieldset>
    <div class="display-label">
        @Html.DisplayNameFor(model => model.Code)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Code)
    </div>
    <br/>
    <h4>Отправление:</h4>
    <div class="display-label">
        @Html.DisplayNameFor(model => model.StartStation.Station.Name)
    </div>
    <div class="display-field">
        <b>@Html.DisplayFor(model => model.StartStation.Station.Name)</b>
    </div>
    <br/>
    <div class="display-label">
        @Html.DisplayNameFor(model => model.StartStation.DepartureTime)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.StartStation.DepartureTime)
    </div>
    <br/>
    <h4>@Html.DisplayNameFor(model => model.IntermediateStations):</h4>
    <div class="display-field">
        @foreach (var item in Model.IntermediateStations)
        {
            var stoptime = item.DepartureTime - item.ArrivalTime;
            <span>Станция <b>'@item.Station.Name'</b>, Время прибытия: '@string.Format("{0:dd-MM-yyyy HH:mm}", item.ArrivalTime)', Время отправления: '@string.Format("{0:dd-MM-yyyy HH:mm}", item.DepartureTime)' </span><br/>
            <span>Время стоянки поезда на данной станции: @stoptime</span><br />
        }
    </div>
    <br/>
    <h4>Прибытие:</h4>
    <div class="display-label">
        @Html.DisplayNameFor(model => model.EndStation.Station.Name)
    </div>
    <div class="display-field">
        <b>@Html.DisplayFor(model => model.EndStation.Station.Name)</b>
    </div>
    <br/>
    <div class="display-label">
        @Html.DisplayNameFor(model => model.EndStation.ArrivalTime)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.EndStation.ArrivalTime)
    </div>
    <br/>
    <div class="display-label">
        @Html.DisplayNameFor(model => model.StopDate)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.StopDate)
    </div>
    <br />
    <div class="display-label">
        @Html.DisplayNameFor(model => model.ScheduleType)
    </div>
    <div class="display-field">
        @ScheduleTypeToDescription.ToDescription(Model.ScheduleType)
    </div>
    <br />

    <h4>@Html.DisplayNameFor(model => model.TrainCars):</h4>
    <div class="display-field">
        @foreach (var item in Model.TrainCars)
        {
            <span>Вагон № @item.Number, Тип вагона: @(CarTypeToDescription.ToDescription(item.CarType)), </span>
            <span>Стоимость билета: @item.SeatPrice грн, </span>
            <span>Кол-во мест: @item.GetNumberOfSeats()</span><br />
        }
</div>
</fieldset>
<br/>

<p>
    @Html.ActionLink("Редактировать", "Edit", new { id=Model.Id }) | 
    @Html.ActionLink("Вернуться", "Index")
</p>
